﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Edge.Core.Database.Models
{
    public class FuelPriceChange
    {
        public int Id { get; set; }
        public int PumpId { get; set; }
        public int LogicalNozzleId { get; set; }

        public int NewPriceWithoutDecimal { get; set; }
        public DateTime StartTime { get; set; }

        /// <summary>
        /// if new price applied succeed to pumps, should fill this value.
        /// otherwise, it's Null, indicates the price change is failed to push to pumps.
        /// </summary>
        public DateTime? FinishTime { get; set; }


    }
}
