﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Edge.Core.Parser.BinaryParser.MessageEntity;
using Edge.Core.Parser;
using Edge.Core.Processor;using Edge.Core.IndustryStandardInterface.Pump;

namespace Edge.Core.Processor
{
    public enum MessageFlowDirection
    {
        FromDevice,
        ToDevice,
    }

    public interface IInterceptor<TRaw, TMessage> where TMessage : MessageBase
    {
        void Init(IDeviceProcessor<TRaw, TMessage> processor);
        //void Process(IContext<TRaw, TMessage> context, MessageFlowDirection direction);
    }
}
