﻿using Edge.Core.Parser.BinaryParser.Attributes;
using System;
using System.Collections.Generic;
using System.Text;

namespace HengshanPaymentTerminal.MessageEntity.Outgoing
{
    /// <summary>
    /// Request to terminal to get the pump volume accumulator.
    /// 读取加油机累积数。（注：升累积）
    /// </summary>
    public class ReadVolumeTotal : CardMessageBase
    {
        #region Constructor

        public ReadVolumeTotal() : base(Command.ReadVolumeTotalizer)
        {

        }

        #endregion

        [Format(1, EncodingType.BIN, -90)]
        public byte NozzleNo { get; set; }
    }
}
