﻿using FccLite.Web.Domain.FccTankInfo;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FccLite.Web.Domain.FccOilInfo
{
    [Table("qr_oil")]
    public class FccOilInfo
    {
        /// <summary>
        /// id
        /// </summary>
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public long Id { get; set; }

        /// <summary>
        /// 油品码
        /// </summary>
        public int Code { get; set; }

        /// <summary>
        /// 油品名
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 单价
        /// </summary>
        public decimal Price { get; set; }

        public ICollection<FccTankInfo.FccTankInfo> FccTankInfo { get; set; }
    }
}
