﻿namespace FccLite.Web.Domain.FccTankInfo.Input
{
    public class AddTankInput
    {
        /// <summary>
        /// 关联的油站id
        /// </summary>
        public long StationId { get; set; }

        /// <summary>
        /// 油罐号
        /// </summary>
        public int Number {  get; set; }

        /// <summary>
        /// 要关联的油品id
        /// </summary>
        public long OilId { get; set; }

        /// <summary>
        /// 要关联的油品名
        /// </summary>
        public String OilName { get; set; }

        /// <summary>
        /// 油罐容量
        /// </summary>
        public decimal Capacity { get; set; }

        public FccTankInfo ToComponent()
        {
            return new FccTankInfo()
            {
                StationId = this.StationId,
                Number = this.Number,
                OilId = this.OilId,
                OilName = this.OilName,
                Capacity = this.Capacity
            };
        }

    }
}
