﻿namespace FccLite.Web.Domain.FccTankInfo.Output
{
    public class DetailsTankInfoOutput
    {
        /// <summary>
        /// 油罐id
        /// </summary>
        public long Id { get; set; }

        /// <summary>
        /// 油罐号
        /// </summary>
        public int Number { get; set; }

        /// <summary>
        /// 当前关联的油品id
        /// </summary>
        public long? AssociatedOilId { get; set; }

        /// <summary>
        /// 当前关联的油品名
        /// </summary>
        public string? AssociatedOilName { get; set; }

        /// <summary>
        /// 油罐容量
        /// </summary>
        public decimal Capacity { get; set; }

        /// <summary>
        /// 可关联的油品
        /// </summary>
        public List<RelatableOil> RelatableOils { get; set; }

        public class RelatableOil
        {
            /// <summary>
            /// 油品id
            /// </summary>
            public long OilId { get; set; }

            /// <summary>
            /// 油品名
            /// </summary>
            public string OilName { get; set; }
        }
    }
}
