﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Edge.Core.Processor
{
    public interface IAppProcessor : IProcessor // IDisposable
    {
        /// <summary>
        /// Called by Framework before call Start() for any Processors(include AppProcessor and DeviceProcessor), reference other target processors here.
        /// </summary>
        /// <param name="processors">get the target dependent processors by calling: processors.WithHandlerOrApp<DependencyProcessorType>()</param>
        void Init(IEnumerable<IProcessor> processors);
    }
}
