﻿using HengshanPaymentTerminal.MessageEntity;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HengshanPaymentTerminal
{
    public class TerminalMessageEventArgs : EventArgs
    {
        public TerminalMessageEventArgs(string identifier, CardMessageBase cardMessage)
        {
            Identifier = identifier;
            Message = cardMessage;
        }

        public string Identifier { get; }

        public CardMessageBase Message { get; }
    }
}
