﻿namespace FccLite.Web.Domain.FccOilInfo.Input
{
    public class OilInfoInput
    {
        /// <summary>
        /// id
        /// </summary>
        public long? Id { get; set; }

        /// <summary>
        /// 油品id
        /// </summary>
        public int Code { get; set; }

        /// <summary>
        /// 油品名
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 单价
        /// </summary>
        public decimal Price { get; set; }

        public FccOilInfo ToComponent()
        {
            return new FccOilInfo()
            {
                Code = this.Code,
                Name = this.Name,
                Price = this.Price,
            };
        }
    }
}
