﻿namespace FccLite.Web.Domain.FccTankInfo.Input
{
    public class UpdateTankInput
    {
        /// <summary>
        /// 要修改的油罐对应的id
        /// </summary>
        public long Id { get; set; }

        /// <summary>
        /// 油罐号
        /// </summary>
        public int Number { get; set; }

        /// <summary>
        /// 要关联的油品id
        /// </summary>
        public long? OilId { get; set; }

        /// <summary>
        /// 要关联的油品名
        /// </summary>
        public String? OilName { get; set; }

        /// <summary>
        /// 油罐容量
        /// </summary>
        public decimal Capacity { get; set; }

        
    }
}
