﻿
namespace FccLite.Web.Domain.FccTankInfo.Output
{
    public class BaseTankInfoOutput
    {
        /// <summary>
        /// 油罐id
        /// </summary>
        public long Id {  get; set; }

        /// <summary>
        /// 油罐号
        /// </summary>
        public int Number { get; set; }

        /// <summary>
        /// 关联油品名
        /// </summary>
        public string? OilName { get; set; }

        /// <summary>
        /// 关联油品id
        /// </summary>
        public long? OilId { get; set; }

        /// <summary>
        /// 当前关联的油枪
        /// </summary>
        public List<AssociatedNozzle> AssociatedNozzles { get; set; }

        public class AssociatedNozzle
        {
            /// <summary>
            /// 油枪id
            /// </summary>
            public long NozzleId { get; set; }

            /// <summary>
            /// 油枪号
            /// </summary>
            public int NozzleNum { get; set; }
        }
    }
}
